### Hierarchy

- GraphicsBitmapFill

### Implements

- IGraphicsData
- IGraphicsFill

## Index

### Constructors

- constructor

### Properties

- bitmapData
- matrix
- repeat
- smooth

## Constructors

### constructor

- new GraphicsBitmapFill(bitmapData?: BitmapData, matrix?: Matrix, repeat?: boolean, smooth?: boolean): GraphicsBitmapFill

- - Defined in lib/openfl/display/GraphicsBitmapFill.d.ts:16

  #### Parameters

  - ##### Optional bitmapData: BitmapData

  - ##### Optional matrix: Matrix

  - ##### Optional repeat: boolean

  - ##### Optional smooth: boolean

  #### Returns GraphicsBitmapFill

## Properties

### bitmapData

bitmapData: BitmapData

- Defined in lib/openfl/display/GraphicsBitmapFill.d.ts:13

### matrix

matrix: Matrix

- Defined in lib/openfl/display/GraphicsBitmapFill.d.ts:14

### repeat

repeat: boolean

- Defined in lib/openfl/display/GraphicsBitmapFill.d.ts:15

### smooth

smooth: boolean

- Defined in lib/openfl/display/GraphicsBitmapFill.d.ts:16

Generated using TypeDoc